POST https://api.d-tools.com/SI/Publish/Projects/UnlockProjects
Mark existing SI projects as unlocked (must be checked in).
Request Information
URI Parameters
None.
Body Parameters
Collection of stringRequest Formats
application/json, text/json
Sample:
[ "sample string 1", "sample string 2" ]
application/x-www-form-urlencoded
Sample:
Sample not available.
application/xml, text/xml
Sample:
<ArrayOfString xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <string>sample string 1</string> <string>sample string 2</string> </ArrayOfString>
Response Information
Resource Description
PublishResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| MessageId |
Check the status of the transaction using this Message Id |
globally unique identifier |
None. |
| Message |
Success Message |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"MessageId": "be98c6de-e2a3-4adf-92b3-01204b9c9a0f",
"Message": "sample string 2"
}
application/xml, text/xml
Sample:
<PublishResponse xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <MessageId>be98c6de-e2a3-4adf-92b3-01204b9c9a0f</MessageId> <Message>sample string 2</Message> </PublishResponse>